Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory.descriptor.didl
Class DIDLLite

    java.lang.Object
      org.teleal.cling.support.contentdirectory.descriptor.didl.DIDLLite

    public class DIDLLite

extends Object

'DIDL-Lite' is the root element of DIDL-Lite documents.

Attributes:

xml:lang use: optional

The 'xml:lang' attribute may optionally be used to specify the language of text in the DIDL-Lite document.

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded" minOccurs="0">
             <element ref="{urn:schemas-upnp-org:metadata-1-0/DIDL-Lite/}item"/>
             <element ref="{urn:schemas-upnp-org:metadata-1-0/DIDL-Lite/}container"/>
             <element ref="{urn:schemas-upnp-org:metadata-1-0/DIDL-Lite/}desc"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<Object>` | `children`

Constructor Summary
`DIDLLite()`

Method Summary
`List<Object>` | `getChildren()` Gets the value of the children property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### children

    protected List<Object> children

Constructor Detail

### DIDLLite

    public DIDLLite()

Method Detail

### getChildren

    public List<Object> getChildren()

  Gets the value of the children property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the children property.

  For example, to add a new item, do as follows:

          getChildren().add(newItem);

  Objects of the following type(s) are allowed in the list `Item` `Container` `Desc`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.